Package org.h2.engine

# Class Procedure

java.lang.Object
org.h2.engine.Procedure

public class Procedure extends Object
Represents a procedure. Procedures are implemented for PostgreSQL compatibility.

## Constructor Summary

Constructors
Constructor
Description
`Procedure(String name, Prepared prepared)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Prepared`
`getPrepared()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Procedure

public Procedure(String name, Prepared prepared)

## Method Details

### getName

public String getName()

### getPrepared

public Prepared getPrepared()